Page MenuHomePhabricator

MMV only shows every n-th image after closing and reopening
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open https://commons.wikimedia.org/wiki/Numbers
  2. Click the first image, click on to the next image, until you reach 10.
  3. Close the media viewer.
  4. Repeat step 2.

Expected result: You still get images 1, 2, 3, ..., 10
Actual result: You get 1, 3, 5, 7, 9; repeating this, the next time you get 1, 4, 7, 10; 1, 5, 9 etc.

Event Timeline

Schnark created this task.Jan 4 2016, 8:51 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark added a project: MediaViewer.
Schnark added a subscriber: Schnark.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 4 2016, 8:51 AM
Raymond added a subscriber: Raymond.Jan 4 2016, 2:42 PM
Jay8g added a subscriber: Jay8g.Jan 7 2016, 6:50 AM

Interesting note: This does not happen when using the arrow keys, only when clicking on the buttons.

Mhutti1 claimed this task.Jan 7 2016, 12:39 PM

Change 262917 had a related patch set uploaded (by Mhutti1):
Fixed viewer only displaying every nth image after reopening

https://gerrit.wikimedia.org/r/262917

Change 262917 merged by jenkins-bot:
Fixed viewer only displaying every nth image after reopening

https://gerrit.wikimedia.org/r/262917

Tgr closed this task as Resolved.Jan 8 2016, 12:11 AM

Thanks Mhutti1!